///////////////////////////////////////////////////////////////////////////////
//                                                         
// Base64Coder.cc
// --------------
// Base64 encoding and decoding
//                                               
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2009-2013 Bjoern Lemke                        
//
// IMPLEMENTATION MODULE
//
// Class: Base64Coder
// 
// Description:
//
// Status: IMPLEMENTED
///////////////////////////////////////////////////////////////////////////////


// INCLUDES

#include "Base64Coder.h"
#include "Exception.h"

#include "base64.h"

extern "C" char *encode_base64(int size, unsigned char *src);

Base64Coder::Base64Coder()
{    
}

Base64Coder::~Base64Coder()
{

}

char* Base64Coder::encode(int size, unsigned char *src)
{
    return ::encode_base64(size, src);
}

long Base64Coder::decode(char* src, unsigned char* buf, long bufSize)
{
    return ::decode_base64(buf, src);   
}




