#ifndef _BASE64CODER_H_INCLUDED_
#define _BASE64CODER_H_INCLUDED_
///////////////////////////////////////////////////////////////////////////////
//                                                         
// Base64Coder.h
// -------------
// Base64Coder class definition
//                                                         
// Design and Implementation by Bjoern Lemke               
//                                                         
// (C)opyright 2009-2013 Bjoern Lemke                        
//
// INTERFACE MODULE
//
// Class: Base64Coder 
// 
// Description:
//
// Status: IMPLEMENTED
///////////////////////////////////////////////////////////////////////////////


// INCLUDES
#include <iostream>
#include <sys/types.h>

#include "Chain.h"

class Base64Coder {

public:
    
    Base64Coder();
    ~Base64Coder();
    
    char* encode(int size, unsigned char *src);
    long decode(char* src, unsigned char* buf, long bufSize);
    
private:
    
};



#endif



